Home > Element Reference : Textnode

Contents

### Textnode

Normally when substituting RDF resources in template rules, you place the RDF property name inside an attribute value preceded with 'rdf:'. In the case of the textnode element, the entire node is replaced with text corresponding to the result of the value attribute.

This is useful if you want to use the html element or other elements that have text content inside them instead of in attributes. This element does nothing outside of a template.

#### Attributes:

Attributes inherited from XUL Element

value

The text value to display. This value should be an RDF property.

Copyright (C) 1999 - 2002 XULPlanet.com